/* _________________________________________________________________________________________________________ //
  Copyright  1992 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 11/9/92
  Revision comments are at the end of this file.
  ---
  TEnvironment is a Gestalt wrapper class that finds out information about the environment.
  Environment.h contains the header file information for the TEnvironment class.
  _________________________________________________________________________________________________________ */

// Declare label for this header file
#ifndef _ENVIRONMENT_
#define _ENVIRONMENT_


#ifndef _DTSCPLUSLIBRARY_
#include "DTSCPlusLibrary.h"
#endif

//	Toolbox Include Files
#ifndef __GESTALTEQU__
#include <GestaltEqu.h>
#endif

#ifndef __OSUTILS__
#include <OSUtils.h>
#endif

#ifndef __TRAPS__
#include <Traps.h>
#endif


// _________________________________________________________________________________________________________ //
//	TEnvironment Class Interface

class TEnvironment
{
public:
	//	CONSTRUCTORS AND DESTRUCTORS
	TEnvironment();								// constructor
	~TEnvironment();							// destructor

	//	MAIN INTERFACE	
	virtual Boolean HasAttribute(OSType attribute,
								 short theBit);	// check for any Gestalt attribute
	virtual Boolean Check128k();				// check for MacOS version (128k Mac?)
	virtual Boolean HasAppleEvents();			// check if AE support is available
	virtual Boolean HasColorQD();				// check if Color QD is available
	virtual Boolean IsSystemSeven();			// check if we run under System 7 or not
	virtual Boolean TrapAvailable(short aNumber,
								  // check for traps
								  TrapType aType);
	// FIELDS
protected:
	Boolean fResult;							// our Gestalt result
	long fLongResult;							// used by Gestalt as well
};

#endif

// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		11/9/92		New file
*/
