/* _________________________________________________________________________________________________________ //
  Copyright  1992-93 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 12/14/92
  Revision comments are at the end of this file.
  ---
  TSpinCursor is a simple cursor spinning class.
  SpinCursort.r contains the  ACUR and CURS resources needed for the TSpinCursor test functions.
  Add these resources to the test framework using something similar as:
  Rez -rd -o TargetApplication SpinCursor.r -append
  _________________________________________________________________________________________________________ */

// INCLUDES
#include "SysTypes.r"
#include "Types.r"
#include "ApplicationResources.h"


// 'CURS' Resource (our watch (see Finder))
resource 'CURS' (6500, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8140 8260"
	$"9C60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6501, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9F60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6502, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8240 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6503, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8440 8440 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6504, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"9C60 8840 9040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6505, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 8040 8060"
	$"BC60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};

resource 'CURS' (6506, locked, preload) {
	$"3F00 3F00 3F00 3F00 4080 8040 9040 8860"
	$"9C60 8040 8040 4080 3F00 3F00 3F00 3F",
	$"3F00 3F00 3F00 3F00 7F80 FFC0 FFC0 FFC0"
	$"FFC0 FFC0 FFC0 7F80 3F00 3F00 3F00 3F",
	{8, 8}
};


// The main 'acur', defined as the kWatchID constant in the program.
resource 'acur' (6500, locked, preload) {
	{	/* array CursIdArray: 8 elements */
		/* [1] */
		4,
		/* [2] */
		6500,
		/* [3] */
		6501,
		/* [4] */
		6502,
		/* [5] */
		6503,
		/* [6] */
		6504,
		/* [7] */
		6505,
		/* [8] */
		6506
	}
};


// _________________________________________________________________________________________________________ //

/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		12/14/92	New file
  2			khs		1/3/93		Cleanup
*/
