/* _________________________________________________________________________________________________________ //
  Copyright  1992-93 Apple Computer, Inc. All rights reserved.
  Macintosh Developer Technical Support.C++ Macintosh Toolbox Framework.
  Programmer: Kent Sandvik
  Date: 12/14/92
  Revision comments are at the end of this file.
  ---
  TTimer is a simple timing class that could provide both 10 lap time values as well as
  final values.
  TTimer.h contains the TTimer class definition. 
  _________________________________________________________________________________________________________ */

// Declare label for this header file
#ifndef _TIMER_
#define _TIMER_


#ifndef _DTSCPLUSLIBRARY_
#include "DTSCPlusLibrary.h"
#endif

#ifndef __EVENTS__
#include <Events.h>
#endif


// _________________________________________________________________________________________________________ //
//	TTimer Class Interface.

class TTimer
// TTimer is a simple timer class that could be used for taking time stamps and lap count timer
// values.
{
public:
	// CONSTRUCTORS AND DESTRUCTORS
	TTimer();
	virtual~ TTimer();

	// MAIN INTERFACE
	virtual void Start();						// start timer
	virtual void Stop();						// stop timer
	virtual void Reset();						// reset timer

	virtual void SetLap(short index);			// set lap time [0-10]
	virtual long GetLap();						// returns temp lap time
	virtual long GetLap(short index);			// return specific lap time [0-10]

	virtual long GetTicks();					// return tick count
	virtual float GetSeconds();					// return seconds with two decimal points

	// FIELDS
protected:
	long fStartTick;							// start tick value
	long fStopTick;								// stop tick value
	long fLapIndex[11];							// array of 10 lap time values
};


#endif


// _________________________________________________________________________________________________________ //


/*	Change History (most recent last):
  No		Init.	Date		Comment
  1			khs		12/14/92	New file
  2			khs		1/3/93		Cleanup
*/
